<?php
// Koneksi ke database
include '../config/connect.php';

// Pastikan input yang diterima dari GET aman
$id_data_server = isset($_GET['id']) ? intval($_GET['id']) : 0;
// $generate_time = isset($_GET['tgl']) ? $_GET['tgl'] : '';

// Memastikan nilai yang diterima valid dan menghindari SQL injection
if ($id_data_server > 0) {
    $data_akumulasi = [];
    // Query yang lebih aman menggunakan prepared statements
    $stmt = $pdo->prepare("SELECT id_data_server, 
                                  SUM(total) as total,
                                  SUM(ditahan) as ditahan,
                                  SUM(tersedia) as tersedia
                           
                           FROM v_akumulasi_paygw 
                           WHERE id_data_server = :id_data_server");

    $stmt->bindValue(':id_data_server', $id_data_server, PDO::PARAM_INT);
    // $stmt->bindValue(':generate_time', $generate_time, PDO::PARAM_STR);

    $stmt->execute();

    // Mengambil hasil query dan menyimpannya dalam array
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
        $data_akumulasi[] = $row;
    }

    // Mengatur header untuk output JSON
    header('Content-Type: application/json');
    echo json_encode($data_akumulasi);
} else {
    echo json_encode(['error' => 'Invalid parameters']);
}
?>
